#
# spec file for package python-whichcraft
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%bcond_without  test
Name:           python-whichcraft
Version:        0.4.1
Release:        lp151.3.2
Summary:        Cross-python shutil.which functionality
License:        BSD-3-Clause
Group:          Development/Languages/Python
Url:            https://github.com/pydanny/whichcraft
Source:         https://files.pythonhosted.org/packages/source/w/whichcraft/whichcraft-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
%if %{with test}
BuildRequires:  %{python_module pytest}
%endif
BuildArch:      noarch

%python_subpackages

%description
This is a shim for the "shutil.which" function designed to work
across multiple versions of Python and inside of windows, and
originally done for Cookiecutter. The code for Python 2.x is based on
Python 3 code that was extracted from source.

%prep
%setup -q -n whichcraft-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%if %{with test}
%check
%python_exec test_whichcraft.py
%endif

%files %{python_files}
%defattr(-,root,root,-)
%doc AUTHORS.rst HISTORY.rst LICENSE README.rst
%{python_sitelib}/*

%changelog
* Sun Mar  4 2018 jengelh@inai.de
- Compact description.
* Mon Sep 11 2017 toddrme2178@gmail.com
- Initial version
